CS::Memory::AllocatorRef< OtherAllocator > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Memory::AllocatorRef< OtherAllocator > Class Template Reference

Memory allocator forwarding to another allocator. More...

`#include <csutil/allocator.h>`

List of all members.

## Public Member Functions
void * | Alloc (const size_t n)
| Allocate a block of memory of size `n`.
void | Free (void *p)
| Free the block `p`.
void * | Realloc (void *p, size_t newSize)
| Resize the allocated block `p` to size `newSize`.
void | SetMemTrackerInfo (const char *info)
| Set the information used for memory tracking.

## Detailed Description

### template<typename OtherAllocator>
class CS::Memory::AllocatorRef< OtherAllocator >

Memory allocator forwarding to another allocator.

Definition at line 636 of file allocator.h.

## Member Function Documentation

template<typename OtherAllocator >

void* CS::Memory::AllocatorRef< OtherAllocator >::Alloc | ( | const size_t | n | ) | `[inline]`

Allocate a block of memory of size `n`.

Definition at line 644 of file allocator.h.

template<typename OtherAllocator >

void CS::Memory::AllocatorRef< OtherAllocator >::Free | ( | void * | p | ) | `[inline]`

Free the block `p`.

Definition at line 647 of file allocator.h.

template<typename OtherAllocator >

void* CS::Memory::AllocatorRef< OtherAllocator >::Realloc | ( | void * | p,
|  | size_t | newSize
| ) |  | `[inline]`

Resize the allocated block `p` to size `newSize`.

Definition at line 649 of file allocator.h.

template<typename OtherAllocator >

void CS::Memory::AllocatorRef< OtherAllocator >::SetMemTrackerInfo | ( | const char * | info | ) | `[inline]`

Set the information used for memory tracking.

Definition at line 652 of file allocator.h.

The documentation for this class was generated from the following file:

- csutil/allocator.h